.instagram li{
margin: 5px;
float: left;
width: 150px;
height: 150px;
overflow: hidden;
position: relative;
background-color:#ffffff;
font-size: 11px;
}

.instagram img, .instagram video {
max-width: 100%;
}

.caption {
font-size: 11px;
text-align: center;
padding-top: 5px;
color: #ffffff;
}

.mask {
width: 100%;
height: 100%;
position: absolute;
top: 0;
left: 0;
opacity: 0;
background-color: rgba(0,0,0,0.5);
-webkit-transition:	all 0.2s ease;
transition:	all 0.2s ease;
}

a:hover .mask {
opacity: 1;
}